using System;

internal sealed class Delegate672 : MulticastDelegate
{
	public extern bool Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static bool smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate672 delegate672_1)
	{
		return delegate672_1(dateTime_0, dateTime_1);
	}

	public extern Delegate672(object object_0, IntPtr intptr_0);

	static Delegate672()
	{
		Class10.smethod_13(typeof(Delegate672).TypeHandle);
	}

	internal static Delegate672 delegate672_0;
}
